function AdfOperaAgent(version, domWindow) {
  this.Init(version, domWindow)
}
AdfObject.createSubclass(AdfOperaAgent, AdfAgent);
AdfOperaAgent.prototype.Init = function(version, domWindow) {
  AdfOperaAgent.superclass.Init.call(this, AdfAgent.OPERA_PLATFORM, AdfAgent.guessOS(), version, domWindow)
};
AdfOperaAgent.prototype.isLeftButton = function(evt) {
  return this.getDomWindow().event.button == 1
};
AdfOperaAgent.prototype.preventDefault = function(evt) {
  evt.returnValue = false
};
AdfOperaAgent.prototype.CreateNativeLogWriter = function() {
  return new AdfOperaLogWriter
};
AdfOperaAgent.prototype.getDescendantComponentsForNode = function(node, children) {
  if(!children) {
    children = new Array
  }
  if(node.firstChild) {
    var page = AdfPage.PAGE;
    var idNodes = this.getDomDocument().evaluate(".//*[@id]", node, null, XPathResult.ANY_TYPE, null);
    var currNode = idNodes.iterateNext();
    while(currNode) {
      var comp = page.findComponent(currNode.id);
      if(comp) {
        children.push(comp)
      }
      currNode = idNodes.iterateNext()
    }
  }
  return children
};
AdfOperaAgent.prototype.disableUserSelect = function(element) {
  element.setAttribute("unselectable", "on")
};
AdfOperaAgent.prototype.enableUserSelect = function(element) {
  element.removeAttribute("unselectable")
};
AdfOperaAgent.__getAgentVersion = function(userAgent) {
  var versionSubstrings = userAgent.match(/^Opera\s*\/?\s*(\d+\.\d+)/);
  var agentVersion = 7.54;
  if(versionSubstrings && versionSubstrings.length >= 2) {
    agentVersion = parseFloat(versionSubstrings[1])
  }
  return agentVersion
};
AdfOperaAgent.__getSupported = function(userAgent, version) {
  return false
};
AdfOperaAgent.__getSpecificAgentClassName = function(userAgent) {
  return"AdfOperaAgent"
};
